slepc-3.10.1 2018-10-23
Report Typos and Errors

# MFNCreate

Creates the default MFN context.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNCreate(MPI_Comm comm,MFN *outmfn)

Collective on MPI_Comm

### Input Parameter

| comm | - MPI communicator

### Output Parameter

| mfn | - location to put the MFN context

### Note

The default MFN type is MFNKRYLOV

### See Also

MFNSetUp(), MFNSolve(), MFNDestroy(), MFN

Location: src/mfn/interface/mfnbasic.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex36.c.html
src/mfn/examples/tutorials/ex23.c.html
src/mfn/examples/tutorials/ex26.c.html
src/mfn/examples/tutorials/ex37.c.html
src/mfn/examples/tutorials/ex39.c.html
src/mfn/examples/tutorials/ex23f90.F90.html